Open CASCADE Technology: ShapeFix_Root Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Protected Member Functions | Protected Attributes
ShapeFix_Root Class Reference

Root class for fixing operations Provides context for recording changes (optional), basic precision value and limit (minimal and maximal) values for tolerances, and message registrator. More...

`#include <ShapeFix_Root.hxx>`

Inheritance diagram for ShapeFix_Root:
[legend]

## Public Member Functions
| ShapeFix_Root ()
| Empty Constructor (no context is created) More...
virtual void | Set (const Handle< ShapeFix_Root > &Root)
| Copy all fields from another Root object. More...
virtual void | SetContext (const Handle< ShapeBuild_ReShape > &context)
| Sets context. More...
Handle< ShapeBuild_ReShape > | Context () const
| Returns context. More...
virtual void | SetMsgRegistrator (const Handle< ShapeExtend_BasicMsgRegistrator > &msgreg)
| Sets message registrator. More...
Handle< ShapeExtend_BasicMsgRegistrator > | MsgRegistrator () const
| Returns message registrator. More...
virtual void | SetPrecision (const Standard_Real preci)
| Sets basic precision value. More...
Standard_Real | Precision () const
| Returns basic precision value. More...
virtual void | SetMinTolerance (const Standard_Real mintol)
| Sets minimal allowed tolerance. More...
Standard_Real | MinTolerance () const
| Returns minimal allowed tolerance. More...
virtual void | SetMaxTolerance (const Standard_Real maxtol)
| Sets maximal allowed tolerance. More...
Standard_Real | MaxTolerance () const
| Returns maximal allowed tolerance. More...
Standard_Real | LimitTolerance (const Standard_Real toler) const
| Returns tolerance limited by [myMinTol,myMaxTol]. More...
void | SendMsg (const TopoDS_Shape &shape, const Message_Msg &message, const Message_Gravity gravity=Message_Info) const
| Sends a message to be attached to the shape. Calls corresponding message of message registrator. More...
void | SendMsg (const Message_Msg &message, const Message_Gravity gravity=Message_Info) const
| Sends a message to be attached to myShape. Calls previous method. More...
void | SendWarning (const TopoDS_Shape &shape, const Message_Msg &message) const
| Sends a warning to be attached to the shape. Calls SendMsg with gravity set to Message_Warning. More...
void | SendWarning (const Message_Msg &message) const
| Calls previous method for myShape. More...
void | SendFail (const TopoDS_Shape &shape, const Message_Msg &message) const
| Sends a fail to be attached to the shape. Calls SendMsg with gravity set to Message_Fail. More...
void | SendFail (const Message_Msg &message) const
| Calls previous method for myShape. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Static Protected Member Functions
static Standard_Boolean | NeedFix (const Standard_Integer flag, const Standard_Boolean def=Standard_True)
| Auxiliary method for work with three-position (on/off/default) flags (modes) in ShapeFix. More...

## Protected Attributes
TopoDS_Shape | myShape

## Detailed Description

Root class for fixing operations Provides context for recording changes (optional), basic precision value and limit (minimal and maximal) values for tolerances, and message registrator.

## Constructor & Destructor Documentation

ShapeFix_Root::ShapeFix_Root | ( |  | ) |

Empty Constructor (no context is created)

## Member Function Documentation

Handle< ShapeBuild_ReShape > ShapeFix_Root::Context | ( |  | ) | const

Returns context.

Standard_Real ShapeFix_Root::LimitTolerance | ( | const Standard_Real | toler | ) | const

Returns tolerance limited by [myMinTol,myMaxTol].

Standard_Real ShapeFix_Root::MaxTolerance | ( |  | ) | const

Returns maximal allowed tolerance.

Standard_Real ShapeFix_Root::MinTolerance | ( |  | ) | const

Returns minimal allowed tolerance.

Handle< ShapeExtend_BasicMsgRegistrator > ShapeFix_Root::MsgRegistrator | ( |  | ) | const

Returns message registrator.

static Standard_Boolean ShapeFix_Root::NeedFix | ( | const Standard_Integer | flag,
|  | const Standard_Boolean | def = `Standard_True`
| ) |  |
| staticprotected

Auxiliary method for work with three-position (on/off/default) flags (modes) in ShapeFix.

Standard_Real ShapeFix_Root::Precision | ( |  | ) | const

Returns basic precision value.

void ShapeFix_Root::SendFail | ( | const TopoDS_Shape & | shape,
|  | const Message_Msg & | message
| ) |  | const

Sends a fail to be attached to the shape. Calls SendMsg with gravity set to Message_Fail.

void ShapeFix_Root::SendFail | ( | const Message_Msg & | message | ) | const

Calls previous method for myShape.

void ShapeFix_Root::SendMsg | ( | const TopoDS_Shape & | shape,
|  | const Message_Msg & | message,
|  | const Message_Gravity | gravity = `Message_Info`
| ) |  | const

Sends a message to be attached to the shape. Calls corresponding message of message registrator.

void ShapeFix_Root::SendMsg | ( | const Message_Msg & | message,
|  | const Message_Gravity | gravity = `Message_Info`
| ) |  | const

Sends a message to be attached to myShape. Calls previous method.

void ShapeFix_Root::SendWarning | ( | const TopoDS_Shape & | shape,
|  | const Message_Msg & | message
| ) |  | const

Sends a warning to be attached to the shape. Calls SendMsg with gravity set to Message_Warning.

void ShapeFix_Root::SendWarning | ( | const Message_Msg & | message | ) | const

Calls previous method for myShape.

virtual void ShapeFix_Root::Set | ( | const Handle< ShapeFix_Root > & | Root | ) |
| virtual

Copy all fields from another Root object.

virtual void ShapeFix_Root::SetContext | ( | const Handle< ShapeBuild_ReShape > & | context | ) |
| virtual

Sets context.

virtual void ShapeFix_Root::SetMaxTolerance | ( | const Standard_Real | maxtol | ) |
| virtual

Sets maximal allowed tolerance.

Reimplemented in ShapeFix_Shell, ShapeFix_Shape, ShapeFix_Face, and ShapeFix_Solid.

virtual void ShapeFix_Root::SetMinTolerance | ( | const Standard_Real | mintol | ) |
| virtual

Sets minimal allowed tolerance.

Reimplemented in ShapeFix_Shell, ShapeFix_Shape, ShapeFix_Face, and ShapeFix_Solid.

virtual void ShapeFix_Root::SetMsgRegistrator | ( | const Handle< ShapeExtend_BasicMsgRegistrator > & | msgreg | ) |
| virtual

Sets message registrator.

Reimplemented in ShapeFix_Shell, ShapeFix_Shape, ShapeFix_Face, and ShapeFix_Solid.

virtual void ShapeFix_Root::SetPrecision | ( | const Standard_Real | preci | ) |
| virtual

Sets basic precision value.

Reimplemented in ShapeFix_Wire, ShapeFix_Shell, ShapeFix_Shape, ShapeFix_Face, and ShapeFix_Solid.

## Field Documentation

TopoDS_Shape ShapeFix_Root::myShape
| protected

The documentation for this class was generated from the following file:

- ShapeFix_Root.hxx